package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.model.User;


/**
 * This interface describes services for the user.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
@RemoteServiceRelativePath("user")
public interface UserService extends RemoteService {

    /**
     * This method retrieves the user that is currently logged in.
     *
     * @param serverUrl The url of the artifact server.
     *
     * @return the current {@link User}.
     */
    User getCurrentUser(String serverUrl);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
